This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1265607 - (CVE-2015-5257, CVE-2015-5275) CVE-2015-5257 kernel: NULL pointer dereference in USB WhiteHEAT serial driver
CVE-2015-5257 kernel: NULL pointer dereference in USB WhiteHEAT serial driver
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20150922,reported=2...
: Security
Depends On: 1265612
Blocks: 1265611
  Show dependency treegraph
 
Reported: 2015-09-23 06:57 EDT by Adam Mariš
Modified: 2016-05-09 05:16 EDT (History)
34 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A denial of service vulnerability was found in the WhiteHEAT USB Serial Driver (whiteheat_attach function in drivers/usb/serial/whiteheat.c). In the driver, the COMMAND_PORT variable was hard coded and set to 4 (5th element). The driver assumed that the number of ports would always be 5 and used port number 5 as the command port. However, when using a USB device in which the number of ports was set to a number less than 5 (for example, 3), the driver triggered a kernel NULL-pointer dereference. A non-privileged attacker could use this flaw to panic the host.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-06 09:12:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-09-23 06:57:45 EDT
A vulnerability in WhiteHEAT USB Serial Driver in "whiteheat_attach" function in drivers/usb/serial/whiteheat.c was found. In the driver, the “COMMAND_PORT” variable is hard coded and is set to “4” (5th element). The driver assumes that the number of ports will always be 5 and takes the port number 5 as the command port. But using a specially made USB device in which the number of ports is set to a number less than 5 (e.g. 3), it triggers kernel NULL pointer dereference causing the system to freeze.

Disclosure post (including crash report logs):

http://seclists.org/oss-sec/2015/q3/629

Statement:

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and MRG-2.

This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.
Comment 1 Adam Mariš 2015-09-23 07:01:42 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1265612]
Comment 4 Fedora Update System 2015-10-03 13:32:47 EDT
kernel-4.2.2-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2015-10-09 06:27:26 EDT
kernel-4.1.10-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-11-01 17:20:22 EST
kernel-4.1.10-100.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Tomas Hoger 2015-11-23 04:22:10 EST
This issue was originally assigned the CVE id CVE-2015-5275.  However, a typo was made when handling the id and the reporter's advisory incorrectly used CVE-2015-5257 (the last two digits were swapped):

http://seclists.org/oss-sec/2015/q3/629

The CVE-2015-5257 was assigned to an issue in Apache Cordova Android:

http://seclists.org/oss-sec/2015/q4/347

However, because of wide use of CVE-2015-5257 for the USB WhiteHEAT driver, MITRE CNA decided to keep CVE-2015-5257 assigned to that issue, reject CVE-2015-5275 as its duplicate, and assign a new CVE id CVE-2015-8320 for the Apache Cordova Android issue:

http://seclists.org/oss-sec/2015/q4/356

Note You need to log in before you can comment on or make changes to this bug.